import React from 'react';

interface Props {
  height?: number;
  width?: number;
  className?: string;
}

function DoubleArrows({height, width, className}: Props) {
  return (
    <svg
      data-cy="icon"
      width={width ?? '524'}
      height={height ?? '248'}
      viewBox="0 0 524 248"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      className={className}
    >
      <path
        d="M48.2663 4.96875L44.137 2.89946L44.4096 7.51021L48.2663 4.96875ZM205.983 247.607L208.216 243.564L203.598 243.652L205.983 247.607ZM44.6465 4.78207C42.2281 4.93744 39.9213 5.11169 37.7233 5.30473L37.7933 6.10167C39.9845 5.90921 42.2851 5.73543 44.6978 5.58043L44.6465 4.78207ZM17.3629 8.28194C12.1424 9.50881 8.22176 10.9918 5.4826 12.7393C2.73884 14.4897 1.15066 16.5261 0.667161 18.858L1.4505 19.0204C1.87672 16.9648 3.28629 15.0894 5.91287 13.4137C8.54406 11.7351 12.3664 10.278 17.546 9.06073L17.3629 8.28194ZM10.6767 36.4013C14.8827 40.4059 20.2516 44.7623 26.4967 49.4585L26.9775 48.8191C20.7428 44.1307 15.4018 39.7956 11.2283 35.8219L10.6767 36.4013ZM43.2143 61.5112C48.5163 65.2262 54.1484 69.1107 60.0092 73.1601L60.464 72.5019C54.6021 68.4519 48.9727 64.5691 43.6733 60.856L43.2143 61.5112ZM76.9111 84.9084C82.3844 88.7511 87.9642 92.7199 93.5826 96.8126L94.0537 96.166C88.4305 92.0698 82.8467 88.0982 77.3708 84.2537L76.9111 84.9084ZM110.028 109.108C115.423 113.259 120.791 117.522 126.074 121.894L126.584 121.278C121.293 116.899 115.917 112.63 110.516 108.474L110.028 109.108ZM141.585 135.317C146.677 139.943 151.622 144.678 156.356 149.518L156.928 148.959C152.181 144.106 147.226 139.36 142.123 134.725L141.585 135.317ZM170.146 164.691C174.607 170.01 178.766 175.444 182.55 180.99L183.211 180.539C179.41 174.969 175.235 169.514 170.759 164.177L170.146 164.691ZM193.011 198.55C196.15 204.726 198.776 211.026 200.802 217.447L201.565 217.206C199.524 210.739 196.881 204.399 193.725 198.188L193.011 198.55ZM205.031 237.389C205.268 239.588 205.431 241.799 205.515 244.024L206.315 243.993C206.229 241.75 206.066 239.52 205.827 237.303L205.031 237.389ZM48.2663 4.96875L39.9857 0.874244L40.5801 10.0927L48.2663 4.96875ZM205.983 247.607L210.296 239.438L201.065 239.788L205.983 247.607ZM41.0206 4.6343C39.8833 4.72037 38.7726 4.81103 37.6883 4.90627L37.8283 6.50013C38.9059 6.40548 40.0102 6.31535 41.1414 6.22974L41.0206 4.6343ZM17.2714 7.89255C12.0304 9.12423 8.06061 10.6202 5.26747 12.4021C2.46511 14.1898 0.787632 16.3068 0.275492 18.7768L1.84217 19.1016C2.23976 17.1841 3.56001 15.3892 6.128 13.751C8.70521 12.1068 12.4784 10.6625 17.6375 9.45012L17.2714 7.89255ZM10.4009 36.691C14.6231 40.7111 20.006 45.0781 26.2563 49.7782L27.2179 48.4994C20.9884 43.8149 15.6614 39.4904 11.5042 35.5322L10.4009 36.691ZM42.9847 61.8388C48.2881 65.5547 53.9216 69.4402 59.7818 73.4892L60.6913 72.1728C54.829 68.1224 49.2009 64.2406 43.9029 60.5284L42.9847 61.8388ZM76.6813 85.2358C82.1532 89.0775 87.7311 93.0449 93.3471 97.136L94.2892 95.8427C88.6637 91.7448 83.0779 87.7718 77.6007 83.9263L76.6813 85.2358ZM109.784 109.425C115.175 113.574 120.54 117.834 125.819 122.202L126.839 120.969C121.544 116.587 116.164 112.316 110.76 108.157L109.784 109.425ZM141.316 135.614C146.403 140.235 151.342 144.964 156.07 149.798L157.214 148.679C152.461 143.82 147.5 139.069 142.391 134.429L141.316 135.614ZM169.84 164.948C174.293 170.258 178.443 175.682 182.219 181.215L183.541 180.313C179.732 174.731 175.549 169.266 171.065 163.92L169.84 164.948ZM192.655 198.731C195.784 204.89 198.401 211.169 200.421 217.567L201.946 217.086C199.898 210.596 197.246 204.235 194.081 198.007L192.655 198.731ZM204.633 237.432C204.743 238.443 204.836 239.456 204.913 240.473L206.508 240.352C206.43 239.319 206.335 238.288 206.224 237.26L204.633 237.432Z"
        fill="#FFD600"
      />
      <path
        d="M468.724 4.96875L472.828 2.8515L472.61 7.46511L468.724 4.96875ZM275.283 247.607L273.067 243.555L277.684 243.662L275.283 247.607ZM472.34 4.73986C474.82 4.86584 477.206 5.0048 479.499 5.15671L479.446 5.95496C477.157 5.80335 474.776 5.66461 472.299 5.53883L472.34 4.73986ZM499.781 7.15562C508.935 8.45477 515.591 10.1333 520.045 12.1953L519.709 12.9213C515.362 10.9087 508.797 9.24326 499.669 7.94768L499.781 7.15562ZM522.989 28.9564C519.476 32.9318 513.887 37.3465 506.732 42.1841L506.284 41.5214C513.426 36.6925 518.946 32.3236 522.389 28.4267L522.989 28.9564ZM489.25 53.1536C483.69 56.4606 477.671 59.9256 471.301 63.545L470.906 62.8495C477.273 59.2312 483.287 55.7691 488.841 52.466L489.25 53.1536ZM453.254 73.7339C447.387 77.0399 441.336 80.4552 435.169 83.9782L434.772 83.2835C440.942 79.7593 446.994 76.343 452.862 73.0369L453.254 73.7339ZM417.257 94.3511C411.369 97.8162 405.434 101.373 399.504 105.019L399.085 104.338C405.02 100.688 410.96 97.1289 416.851 93.6616L417.257 94.3511ZM381.99 116.093C376.193 119.87 370.452 123.733 364.819 127.68L364.36 127.025C370.002 123.072 375.75 119.204 381.553 115.423L381.99 116.093ZM348.127 139.902C342.573 144.165 337.189 148.516 332.033 152.954L331.511 152.347C336.68 147.898 342.075 143.538 347.64 139.268L348.127 139.902ZM316.815 167.01C311.817 171.997 307.153 177.083 302.893 182.265L302.275 181.757C306.554 176.552 311.236 171.447 316.25 166.444L316.815 167.01ZM290.825 199.015C287.101 205.041 283.978 211.184 281.554 217.44L280.808 217.151C283.252 210.844 286.398 204.657 290.144 198.594L290.825 199.015ZM276.37 237.314C276.073 239.539 275.871 241.776 275.766 244.027L274.967 243.989C275.073 241.716 275.277 239.455 275.577 237.208L276.37 237.314ZM468.724 4.96875L476.948 0.762711L476.478 9.98837L468.724 4.96875ZM275.283 247.607L271.04 239.402L280.268 239.83L275.283 247.607ZM475.961 4.53622C477.173 4.60667 478.361 4.68046 479.525 4.75758L479.42 6.35409C478.26 6.27725 477.076 6.20373 475.868 6.13352L475.961 4.53622ZM499.837 6.75958C509.003 8.06053 515.706 9.74567 520.213 11.8323L519.541 13.2843C515.247 11.2964 508.728 9.6375 499.612 8.34371L499.837 6.75958ZM523.289 29.2213C519.741 33.2359 514.118 37.6735 506.956 42.5155L506.06 41.19C513.196 36.3655 518.681 32.0195 522.089 28.1619L523.289 29.2213ZM489.454 53.4974C483.891 56.8063 477.869 60.2728 471.499 63.8928L470.709 62.5017C477.075 58.884 483.086 55.4234 488.636 52.1223L489.454 53.4974ZM453.451 74.0824C447.583 77.3883 441.534 80.8031 435.367 84.3255L434.574 82.9362C440.744 79.4114 446.797 75.9946 452.665 72.6884L453.451 74.0824ZM417.46 94.6958C411.574 98.1599 405.641 101.715 399.714 105.36L398.876 103.997C404.813 100.346 410.755 96.7853 416.648 93.3169L417.46 94.6958ZM382.208 116.428C376.414 120.203 370.678 124.063 365.049 128.008L364.131 126.697C369.776 122.741 375.528 118.871 381.335 115.088L382.208 116.428ZM348.37 140.22C342.822 144.478 337.444 148.824 332.294 153.257L331.25 152.044C336.426 147.59 341.827 143.225 347.396 138.95L348.37 140.22ZM317.098 167.294C312.108 172.272 307.453 177.348 303.202 182.519L301.966 181.503C306.254 176.287 310.946 171.172 315.968 166.161L317.098 167.294ZM291.165 199.225C287.453 205.233 284.341 211.354 281.927 217.585L280.435 217.007C282.889 210.673 286.047 204.465 289.804 198.384L291.165 199.225ZM276.766 237.367C276.628 238.405 276.51 239.446 276.413 240.489L274.82 240.342C274.919 239.276 275.039 238.215 275.181 237.156L276.766 237.367Z"
        fill="#FFD600"
      />
    </svg>
  );
}

const defaultProps = {
  height: '248',
  width: '524',
  className: '',
};

DoubleArrows.defaultProps = defaultProps;

export default DoubleArrows;
